uk.gov.hmrc.ct.computations

# CP290

###
Related Docs: object CP290 | package computations

#### case class CP290(value: Option[Int]) extends CtBoxIdentifier with CtOptionalInteger with Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, CtOptionalInteger, OptionalCtValue[Int], CtValue[Option[Int]], CtBoxIdentifier, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CP290
2. Serializable
3. Serializable
4. Product
5. Equals
6. CtOptionalInteger
7. OptionalCtValue
8. CtValue
9. CtBoxIdentifier
10. AnyRef
11. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new CP290(value: Option[Int])

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def asBoxString: Option[String]

   Definition Classes
     CtValue

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### def asInt: Option[Int]

   Definition Classes
     CtOptionalInteger

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

10. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

11. #### def hasValue: Boolean

    Definition Classes
      OptionalCtValue

12. #### def id: String

    Definition Classes
      CtBoxIdentifier

13. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

14. #### def isPositive: Boolean

    Definition Classes
      CtOptionalInteger

15. #### def minus(other: Int): Int

    Definition Classes
      CtOptionalInteger

16. #### def minus(other: CtInteger): Int

    Definition Classes
      CtOptionalInteger

17. #### def minus(other: CtOptionalInteger): Int

    Definition Classes
      CtOptionalInteger

18. #### val name: String

    Definition Classes
      CtBoxIdentifier

19. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

20. #### def noValue: Boolean

    Definition Classes
      OptionalCtValue

21. #### final def notify(): Unit

    Definition Classes
      AnyRef

22. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

23. #### def orZero: Int

    Definition Classes
      CtOptionalInteger

24. #### def plus(other: Int): Int

    Definition Classes
      CtOptionalInteger

25. #### def plus(other: CtInteger): Int

    Definition Classes
      CtOptionalInteger

26. #### def plus(other: CtOptionalInteger): Int

    Definition Classes
      CtOptionalInteger

27. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

28. #### val value: Option[Int]

    Definition Classes
      CP290 → CtValue

29. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

30. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from CtOptionalInteger

### Inherited from OptionalCtValue[Int]

### Inherited from CtValue[Option[Int]]

### Inherited from CtBoxIdentifier

### Inherited from AnyRef

### Inherited from Any

### Ungrouped